params ["_unitForLoadout","_unitToSendTo"];

// store original loadout

private _originalLoadout = getUnitLoadout _unitForLoadout;

// remove items
// inventory is still synced after this step

{_unitForLoadout removeItem _x} foreach (items _unitForLoadout);
{_unitForLoadout removeMagazine _x} foreach (magazines _unitForLoadout);

// reset loadout
// inventory should be unsynced after this step

_unitForLoadout setUnitLoadout _originalLoadout;

// send original loadout to the other player for comparison

[_unitForLoadout,_originalLoadout] remoteExec ["testNewLoadout", _unitToSendTo];